Subject: Re: "git stash list" shows HEAD reflog

From: René Scharfe <[email-masked]>
Date: Sat, 13 Mar 2010 22:49:33 +0100

Am 13.03.2010 22:21, schrieb Dave Olszewski:
> Maybe, although I'm not sure if dying here is the right behavior.  Is an
> empty reflog really an error?

Yeah, that might be a bit heavy-handed.  *ahem*

> I was testing a patch along the lines of
> what Vladimir proposed, which was simply to not set the default rev if a
> valid user-specified argument was found, whether or not it contains
> commits.

Sounds more like it.  How did the tests go?  Does it result in empty
output (which is what I would expect from an empty reflog, now that I
stopped and thought about it for a second)?

René